Customer
Update delivery instructions
Use this endpoint to update delivery instructions for a specific address and address details such as apartment, suite, unit number.
PATCH
/
customers
/
{centsCustomerId}
/
addresses
/
{customerAddressId}
/
instructions
cURL
curl --request PATCH \
--url https://api3.trycents.com/api/v1/common/customers/{centsCustomerId}/addresses/{customerAddressId}/instructions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'fwdorigin: <fwdorigin>' \
--data @- <<EOF
{
"leaveAtDoor": true,
"addressDetails": "Apartment 50",
"instructions": "Please leave it at the door if I'm not home."
}
EOFimport requests
url = "https://api3.trycents.com/api/v1/common/customers/{centsCustomerId}/addresses/{customerAddressId}/instructions"
payload = {
"leaveAtDoor": True,
"addressDetails": "Apartment 50",
"instructions": "Please leave it at the door if I'm not home."
}
headers = {
"fwdorigin": "<fwdorigin>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
fwdorigin: '<fwdorigin>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
leaveAtDoor: true,
addressDetails: 'Apartment 50',
instructions: 'Please leave it at the door if I\'m not home.'
})
};
fetch('https://api3.trycents.com/api/v1/common/customers/{centsCustomerId}/addresses/{customerAddressId}/instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"instructions": "<string>",
"leaveAtDoor": "<string>",
"lat": 123,
"lng": 123
}"Address is not found"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
DISPATCH_API Body
application/json
⌘I
cURL
